Name:           asc
Version:        2.5.0.0
Release:        1%{?dist}
Summary:        Advanced Strategic Command
Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.asc-hq.org/
Source0:        http://downloads.sourceforge.net/asc-hq/asc-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch0:         asc-2.4.0.0-gcc47.patch
BuildRequires:  SDL_image-devel SDL_mixer-devel SDL_sound-devel
BuildRequires:  bzip2-devel libjpeg-devel libsigc++-devel physfs-devel
BuildRequires:  libvorbis-devel libpng-devel libtiff-devel boost-devel
BuildRequires:  freetype-devel expat-devel lua-devel wxGTK-devel libcurl-devel
BuildRequires:  desktop-file-utils ImageMagick zip
# For autoreconf, also see:
# https://bugzilla.redhat.com/show_bug.cgi?id=927010
# https://bugzilla.redhat.com/show_bug.cgi?id=927014
BuildRequires:  libtool perl-Carp
Requires:       hicolor-icon-theme

%description
ASC is a free, turn based strategy game.


%prep
%setup -q
%patch0 -p1
rm aclocal.m4
autoreconf -i -f
sed -i 's|$datadir/games/|$datadir/|g' configure
sed -i 's|$(datadir)/games/|$(datadir)/|g' `find -name Makefile.in`
chmod -x source/libs/paragui/include/paragui.h


%build
%configure --enable-genparse --disable-paraguitest
make %{?_smp_mflags}
convert data/%{name}.ico %{name}.png


%install
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications \
%if 0%{?fedora} && 0%{?fedora} < 19
  --vendor fedora \
%endif
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -m 644 %{name}-1.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 644 %{name}-0.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc README COPYING AUTHORS
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}*.6.gz


%changelog
* Sat Mar 23 2013 Hans de Goede <hdegoede@redhat.com> - 2.5.0.0-1
- New upstream version 2.5.0.0 (rhbz#827946)
- Run autoreconf for aarch64 support (rhbz#925030)

* Sun Feb 10 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 2.4.0.0-13
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 2.4.0.0-12
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 2.4.0.0-11
- Rebuild for Boost-1.53.0

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 2.4.0.0-10
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 2.4.0.0-9
- rebuild against new libjpeg

* Sun Aug 12 2012 Kevin Fenzi <kevin@scrye.com> - 2.4.0.0-8
- Rebuild for new boost

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0.0-6
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Hans de Goede <hdegoede@redhat.com> - 2.4.0.0-5
- Fix building with gcc-4.7

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 15 2011 Tom Callaway <spot@fedoraproject.org> - 2.4.0.0-3
- rebuild for physfs2

* Sat Nov 26 2011 Hans de Goede <hdegoede@redhat.com> - 2.4.0.0-2
- Rebuild for new boost

* Sat Jul 23 2011 Hans de Goede <hdegoede@redhat.com> - 2.4.0.0-1
- New upstream version 2.4.0.0
- Rebuild for new boost

* Thu Apr 07 2011 Hans de Goede <hdegoede@redhat.com> - 2.2.0.0-11
- Rebuild for new boost

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 29 2010 Bill Nottingham <notting@redhat.com> - 2.2.0.0-9
- Rebuild for Boost soname bump

* Tue Jul 27 2010 Bill Nottingham <notting@redhat.com> - 2.2.0.0-8
- Rebuild for Boost soname bump

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 2.2.0.0-7
- Rebuild for Boost soname bump

* Thu Aug 20 2009 Warren Togami <wtogami@redhat.com> - 2.2.0.0-6
- rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Hans de Goede <hdegoede@redhat.com> 2.2.0.0-4
- Rebuild for new boost

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Petr Machata <pmachata@redhat.com> - 2.2.0.0-2
- Rebuild for new boost

* Mon Dec 15 2008 Hans de Goede <hdegoede@redhat.com> 2.2.0.0-1
- New upstream version 2.2.0.0

* Sun Aug 17 2008 Hans de Goede <jwrdegoede@fedoraproject.org> 2.1.0.0-2
- Rebuild for new boost

* Mon Apr 14 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.1.0.0-1
- New upstream version 2.1.0.0

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.1.0-3
- Autorebuild for GCC 4.3

* Sat Jan 12 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.1.0-2
- Fix compilation with gcc-4.3

* Sun Oct 28 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.0.1.0-1
- New upstream version 2.0.1.0
- Use included (patched/bugfixed) paragui copy
- Use included (patched/bugfixed) SDLmm copy

* Tue Aug 28 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.16.4.0-3
- Rebuild for new expat 2.0

* Sun Aug  5 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.16.4.0-2
- Update License tag for new Licensing Guidelines compliance

* Mon Mar 19 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.16.4.0-1
- Initial Fedora Extras package based on specfile by Che (newrpms)
